
package com.oracle.xmlns.apps.crmcommon.salesparties.accountservice.types;

import javax.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.oracle.xmlns.apps.crmcommon.salesparties.accountservice.types package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.oracle.xmlns.apps.crmcommon.salesparties.accountservice.types
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link GetAccountAsync }
     * 
     */
    public GetAccountAsync createGetAccountAsync() {
        return new GetAccountAsync();
    }

    /**
     * Create an instance of {@link FindAccount }
     * 
     */
    public FindAccount createFindAccount() {
        return new FindAccount();
    }

    /**
     * Create an instance of {@link ProcessCSAccountResponse }
     * 
     */
    public ProcessCSAccountResponse createProcessCSAccountResponse() {
        return new ProcessCSAccountResponse();
    }

    /**
     * Create an instance of {@link UpdateAccountAsyncResponse }
     * 
     */
    public UpdateAccountAsyncResponse createUpdateAccountAsyncResponse() {
        return new UpdateAccountAsyncResponse();
    }

    /**
     * Create an instance of {@link GetServiceLastUpdateTimeAsync }
     * 
     */
    public GetServiceLastUpdateTimeAsync createGetServiceLastUpdateTimeAsync() {
        return new GetServiceLastUpdateTimeAsync();
    }

    /**
     * Create an instance of {@link ProcessAccount }
     * 
     */
    public ProcessAccount createProcessAccount() {
        return new ProcessAccount();
    }

    /**
     * Create an instance of {@link DeleteAccountResponse }
     * 
     */
    public DeleteAccountResponse createDeleteAccountResponse() {
        return new DeleteAccountResponse();
    }

    /**
     * Create an instance of {@link FindAccountAsyncResponse }
     * 
     */
    public FindAccountAsyncResponse createFindAccountAsyncResponse() {
        return new FindAccountAsyncResponse();
    }

    /**
     * Create an instance of {@link GetEntityListAsyncResponse }
     * 
     */
    public GetEntityListAsyncResponse createGetEntityListAsyncResponse() {
        return new GetEntityListAsyncResponse();
    }

    /**
     * Create an instance of {@link FindAccountAsync }
     * 
     */
    public FindAccountAsync createFindAccountAsync() {
        return new FindAccountAsync();
    }

    /**
     * Create an instance of {@link FindAccountResponse }
     * 
     */
    public FindAccountResponse createFindAccountResponse() {
        return new FindAccountResponse();
    }

    /**
     * Create an instance of {@link UpdateAccountResponse }
     * 
     */
    public UpdateAccountResponse createUpdateAccountResponse() {
        return new UpdateAccountResponse();
    }

    /**
     * Create an instance of {@link GetDfltObjAttrHints }
     * 
     */
    public GetDfltObjAttrHints createGetDfltObjAttrHints() {
        return new GetDfltObjAttrHints();
    }

    /**
     * Create an instance of {@link GetDfltObjAttrHintsAsyncResponse }
     * 
     */
    public GetDfltObjAttrHintsAsyncResponse createGetDfltObjAttrHintsAsyncResponse() {
        return new GetDfltObjAttrHintsAsyncResponse();
    }

    /**
     * Create an instance of {@link CreateAccountResponse }
     * 
     */
    public CreateAccountResponse createCreateAccountResponse() {
        return new CreateAccountResponse();
    }

    /**
     * Create an instance of {@link MergeAccountResponse }
     * 
     */
    public MergeAccountResponse createMergeAccountResponse() {
        return new MergeAccountResponse();
    }

    /**
     * Create an instance of {@link GetEntityListAsync }
     * 
     */
    public GetEntityListAsync createGetEntityListAsync() {
        return new GetEntityListAsync();
    }

    /**
     * Create an instance of {@link GetAccount }
     * 
     */
    public GetAccount createGetAccount() {
        return new GetAccount();
    }

    /**
     * Create an instance of {@link CreateAccountAsyncResponse }
     * 
     */
    public CreateAccountAsyncResponse createCreateAccountAsyncResponse() {
        return new CreateAccountAsyncResponse();
    }

    /**
     * Create an instance of {@link DeleteAccountAsync }
     * 
     */
    public DeleteAccountAsync createDeleteAccountAsync() {
        return new DeleteAccountAsync();
    }

    /**
     * Create an instance of {@link GetAccountAsyncResponse }
     * 
     */
    public GetAccountAsyncResponse createGetAccountAsyncResponse() {
        return new GetAccountAsyncResponse();
    }

    /**
     * Create an instance of {@link MergeAccountAsyncResponse }
     * 
     */
    public MergeAccountAsyncResponse createMergeAccountAsyncResponse() {
        return new MergeAccountAsyncResponse();
    }

    /**
     * Create an instance of {@link DeleteAccount }
     * 
     */
    public DeleteAccount createDeleteAccount() {
        return new DeleteAccount();
    }

    /**
     * Create an instance of {@link ProcessAccountAsync }
     * 
     */
    public ProcessAccountAsync createProcessAccountAsync() {
        return new ProcessAccountAsync();
    }

    /**
     * Create an instance of {@link MergeAccountAsync }
     * 
     */
    public MergeAccountAsync createMergeAccountAsync() {
        return new MergeAccountAsync();
    }

    /**
     * Create an instance of {@link UpdateAccountAsync }
     * 
     */
    public UpdateAccountAsync createUpdateAccountAsync() {
        return new UpdateAccountAsync();
    }

    /**
     * Create an instance of {@link ProcessCSAccountAsyncResponse }
     * 
     */
    public ProcessCSAccountAsyncResponse createProcessCSAccountAsyncResponse() {
        return new ProcessCSAccountAsyncResponse();
    }

    /**
     * Create an instance of {@link GetEntityList }
     * 
     */
    public GetEntityList createGetEntityList() {
        return new GetEntityList();
    }

    /**
     * Create an instance of {@link ProcessAccountResponse }
     * 
     */
    public ProcessAccountResponse createProcessAccountResponse() {
        return new ProcessAccountResponse();
    }

    /**
     * Create an instance of {@link GetDfltObjAttrHintsAsync }
     * 
     */
    public GetDfltObjAttrHintsAsync createGetDfltObjAttrHintsAsync() {
        return new GetDfltObjAttrHintsAsync();
    }

    /**
     * Create an instance of {@link CreateAccountAsync }
     * 
     */
    public CreateAccountAsync createCreateAccountAsync() {
        return new CreateAccountAsync();
    }

    /**
     * Create an instance of {@link UpdateAccount }
     * 
     */
    public UpdateAccount createUpdateAccount() {
        return new UpdateAccount();
    }

    /**
     * Create an instance of {@link ProcessAccountAsyncResponse }
     * 
     */
    public ProcessAccountAsyncResponse createProcessAccountAsyncResponse() {
        return new ProcessAccountAsyncResponse();
    }

    /**
     * Create an instance of {@link GetEntityListResponse }
     * 
     */
    public GetEntityListResponse createGetEntityListResponse() {
        return new GetEntityListResponse();
    }

    /**
     * Create an instance of {@link ProcessCSAccountAsync }
     * 
     */
    public ProcessCSAccountAsync createProcessCSAccountAsync() {
        return new ProcessCSAccountAsync();
    }

    /**
     * Create an instance of {@link CreateAccount }
     * 
     */
    public CreateAccount createCreateAccount() {
        return new CreateAccount();
    }

    /**
     * Create an instance of {@link GetServiceLastUpdateTimeAsyncResponse }
     * 
     */
    public GetServiceLastUpdateTimeAsyncResponse createGetServiceLastUpdateTimeAsyncResponse() {
        return new GetServiceLastUpdateTimeAsyncResponse();
    }

    /**
     * Create an instance of {@link MergeAccount }
     * 
     */
    public MergeAccount createMergeAccount() {
        return new MergeAccount();
    }

    /**
     * Create an instance of {@link DeleteAccountAsyncResponse }
     * 
     */
    public DeleteAccountAsyncResponse createDeleteAccountAsyncResponse() {
        return new DeleteAccountAsyncResponse();
    }

    /**
     * Create an instance of {@link GetDfltObjAttrHintsResponse }
     * 
     */
    public GetDfltObjAttrHintsResponse createGetDfltObjAttrHintsResponse() {
        return new GetDfltObjAttrHintsResponse();
    }

    /**
     * Create an instance of {@link GetServiceLastUpdateTimeResponse }
     * 
     */
    public GetServiceLastUpdateTimeResponse createGetServiceLastUpdateTimeResponse() {
        return new GetServiceLastUpdateTimeResponse();
    }

    /**
     * Create an instance of {@link ProcessCSAccount }
     * 
     */
    public ProcessCSAccount createProcessCSAccount() {
        return new ProcessCSAccount();
    }

    /**
     * Create an instance of {@link GetAccountResponse }
     * 
     */
    public GetAccountResponse createGetAccountResponse() {
        return new GetAccountResponse();
    }

    /**
     * Create an instance of {@link GetServiceLastUpdateTime }
     * 
     */
    public GetServiceLastUpdateTime createGetServiceLastUpdateTime() {
        return new GetServiceLastUpdateTime();
    }

}
